package name.abhijitsarkar.javaee.cdi.listinjection;

import static org.jboss.shrinkwrap.api.ShrinkWrap.create;

import java.io.FileNotFoundException;

import javax.inject.Inject;

import org.jboss.arquillian.container.test.api.Deployment;
import org.jboss.arquillian.junit.Arquillian;
import org.jboss.shrinkwrap.api.Filters;
import org.jboss.shrinkwrap.api.asset.EmptyAsset;
import org.jboss.shrinkwrap.api.spec.WebArchive;
import org.junit.Assert;
import org.junit.Test;
import org.junit.runner.RunWith;

@RunWith(Arquillian.class)
public class ListInjectionIntegrationTest {
    @Deployment(testable = false)
    public static WebArchive createDeployment() throws FileNotFoundException {
	WebArchive app = create(WebArchive.class, "list-injection.war")
		.addPackages(true, Filters.exclude(".*Test.*"),
			Producer.class.getPackage()).addAsWebInfResource(
			EmptyAsset.INSTANCE, "beans.xml");

	System.out.println(app.toString(true));

	return app;
    }

    @Inject
    Consumer bean;

    @Test
    public void testGetEmployees() {
	Assert.assertNotNull(bean);
    }
}
